package com.ruoyi.project.service;

import java.util.List;
import com.ruoyi.project.domain.TrsNameWords;

/**
 * 人名职务Service接口
 * 
 * @author ruoyi
 * @date 2025-03-21
 */
public interface ITrsNameWordsService 
{
    /**
     * 查询人名职务
     * 
     * @param id 人名职务主键
     * @return 人名职务
     */
    public TrsNameWords selectTrsNameWordsById(Long id);

    /**
     * 查询人名职务列表
     * 
     * @param trsNameWords 人名职务
     * @return 人名职务集合
     */
    public List<TrsNameWords> selectTrsNameWordsList(TrsNameWords trsNameWords);

    /**
     * 新增人名职务
     * 
     * @param trsNameWords 人名职务
     * @return 结果
     */
    public int insertTrsNameWords(TrsNameWords trsNameWords);

    /**
     * 修改人名职务
     * 
     * @param trsNameWords 人名职务
     * @return 结果
     */
    public int updateTrsNameWords(TrsNameWords trsNameWords);

    /**
     * 批量删除人名职务
     * 
     * @param ids 需要删除的人名职务主键集合
     * @return 结果
     */
    public int deleteTrsNameWordsByIds(String ids);

    /**
     * 删除人名职务信息
     * 
     * @param id 人名职务主键
     * @return 结果
     */
    public int deleteTrsNameWordsById(Long id);

    String importWords(List<TrsNameWords> wordList, boolean updateSupport);
}
